###########################################################################
#
#    #####          #######         #######         ######            ###
#   #     #            #            #     #         #     #           ###
#   #                  #            #     #         #     #           ###
#    #####             #            #     #         ######             #
#         #            #            #     #         #
#   #     #            #            #     #         #                 ###
#    #####             #            #######         #                 ###
#
#
# Please read the directions in README and in this config.mk carefully.
# Do -N-O-T- just dump things randomly in here until your kernel builds.
# If you do that, you run an excellent chance of turning in something
# which can't be graded.  If you think the build infrastructure is
# somehow restricting you from doing something you need to do, contact
# the course staff--don't just hit it with a hammer and move on.
#
# [Once you've read this message, please edit it out of your config.mk]
###########################################################################

# This is the include file for the make file.
# You should have to edit only this file to get things to build.
#

#
# Specifies the method for acquiring and project updates. This should be
# "afs" for any andrew machine, "web" for non-andrew machines and
# "offline" for machines with no network access.
#
# "offline" is strongly not recommended as you may miss important project
# updates.
#
UPDATE_METHOD = afs

#
# A list of the kernel object files you want included from 410kern/
#
410KERNEL_OBJS = load_helper.o

#
# A list of the kernel object files you want included from kern/
#
KERNEL_OBJS = console.o kernel.o loader.o malloc_wrappers.o

# WARNING: Do not put extraneous test programs into the REQPROGS variables.
#          Doing so will put your grader in a bad mood which is likely to
#          make him or her less forgiving for other issues.

#
# A list of the programs in 410user/progs which are
# NECESSARY FOR THE KERNEL TO RUN
#
410REQPROGS = idle init shell

#
# A list of the programs in user/progs which are
# NECESSARY FOR THE KERNEL TO RUN
#
STUDENTREQPROGS =

# WARNING: When we test your code, the two TESTS variables will be ignored.
#          Your kernel MUST RUN WITHOUT THEM.

#
# A list of the test programs you want compiled in from the 410user/progs
# directory
#
410TESTS =

#
# A list of the test programs you want compiled in from the user/progs
# directory
#
STUDENTTESTS =

# list the object files for your thread library
THREAD_OBJS = malloc.o

# list the object files for your syscall wrappers
SYSCALL_OBJS = syscall.o
