/**
 * The 15-410 kernel.
 * @name console.h
 *
 * Function prototypes for the console driver.
 *
 */

#ifndef _CONSOLE_H
#define _CONSOLE_H

#include <video_defines.h>

int putbyte( char ch );
void putbytes(const char* s, int len);
void set_term_color(int color);
void get_term_color(int* color);
void set_cursor(int row, int col);
void get_cursor(int* row, int* col);
void hide_cursor();
void show_cursor();
void clear_console();
void draw_char(int row, int col, int ch, int color);
char get_char(int row, int col);

#endif /* _CONSOLE_H */
